%define name kaspaliste
%define version 0.96
%define release 2mdk

Version: 	%{version}
Summary: 	Literature database	
Name: 		%{name}
Release: 	%{release}
License: 	GPL
Group: 		Books/Other
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://kaspaliste.sourceforge.net/index.html
Buildrequires:	postgresql-devel qt3-devel kdelibs-devel
Requires:	postgresql postgresql-server
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Kaspaliste is a literature database. It handles all kinds of books,
articles, journals, Web pages, etc. The database goes beyond storing 
bibliographical information. It is possible to create annotated links 
between pieces of information (like the content of a book chapter) and 
to group links into categories. The user interface works just like a 
Web browser. You may walk back and forward through previously edited 
records, change fields, and create or delete links, publications, 
authors, etc. Kaspaliste stores files as well as information about 
publications, and it handles various formats like HTML, PDF, PS, DVI, 
and pictures. The fulltext search covers these files. Another feature 
is the automatic generation of BibTex files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

./configure --prefix=%_prefix --datadir=%_datadir --mandir=%_mandir --libdir=%_libdir --disable-rpath

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/kaspaliste"\
title="Kaspaliste"\
longtitle="Literature database"\
needs="x11"\
icon="office_section.png"\
section="Office/Publishing"
EOF
)
 
%post
%update_menus

echo 'Remember to manually create postgresql tables according to http://kaspaliste.sourceforge.net/documentations.html' 

%postun
%update_menus 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL TODO
%doc data/create.tables.sql
%{_bindir}/*
%{_menudir}/*
%{_datadir}/applnk/Applications/*
%{_datadir}/apps/%name
%{_datadir}/config/*
%{_iconsdir}/*/*/*/*.png

%lang(en) %_docdir/HTML/en/%name

%changelog
* Tue Jun 15 2004 Emmanuel Favre-Nicolin <manu_favre@yaho.com> 0.96-2mdk
- add to buildrequires libqt3-devel kdelibs-devel

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.96-1mdk
- 0.96

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.95-3mdk
- buildrequires postgresql-devel
- add create.tables.sql
- ask to create tables in post

* Fri Feb 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.95-2mdk
- requires postgresql-server

* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- 0.95
